some non-empty reports are not in interesting reports

04/20/2011 03:11 AM - Yongchao Gao

Status: Duplicate   

Priority: Normal   

Assignee: Trey Dockendorf   

Category: Puppet Reports   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Some reports are not displayed at the intersting reports, such as :

notice    /Stage[main]/Puppet/Cron::Add[cron for foreman]/File[/etc/cron.d/puppet]/content    content changed

'{md5}e440d42c80b638143d86f12ff75be789' to '{md5}d2890be63b02afc9c854e803e828bb87'

And the applied number of this report is also zero.

My puppet is 2.6.2, and foreman is 0.2.0

Related issues:

Is duplicate of Installer - Bug #3851: Reports with errors on the puppet mast... Closed 12/11/2013

History

#1 - 04/20/2011 07:32 AM - Ohad Levy

Any chance you could provide an example report?

it would greatly help to understand the issue.

Thanks

#2 - 04/20/2011 07:33 AM - Ohad Levy

also, if you can reproduce this error, does it happen on puppet newer than 2.6.5 ?

#3 - 04/20/2011 10:13 PM - Yongchao Gao

- File 201104210153.yaml added

Thanks for your reply, after upgrading puppet to 2.6.7, this error seems to be disappear.

But i found another problem that the error report is not in interesting reports, the report such as :

err    Puppet    Could not retrieve catalog from remote server: Error 400 on SERVER: Could not find template 'rabbitmq/logrotate/rabbitmq-server.erb'

at /home/flex/puppet/modules/logrotate/manifests/init.pp:12 on node dori.test.com

notice    Puppet    Using cached catalog

#4 - 04/24/2011 12:45 AM - Ohad Levy

- Assignee set to Ohad Levy

- Target version set to 0.3

Yongchao Gao wrote:

Thanks for your reply, after upgrading puppet to 2.6.7, this error seems to be disappear.

But i found another problem that the error report is not in interesting reports, the report such as :
err    Puppet    Could not retrieve catalog from remote server: Error 400 on SERVER: Could not find template

'rabbitmq/logrotate/rabbitmq-server.erb' at /home/flex/puppet/modules/logrotate/manifests/init.pp:12 on node dori.test.com

notice    Puppet    Using cached catalog

 Any chance you could provide an example of such report too?

#5 - 04/24/2011 06:25 AM - Yongchao Gao

Ohad Levy wrote:

Yongchao Gao wrote:

Thanks for your reply, after upgrading puppet to 2.6.7, this error seems to be disappear.

But i found another problem that the error report is not in interesting reports, the report such as :

err    Puppet    Could not retrieve catalog from remote server: Error 400 on SERVER: Could not find template

'rabbitmq/logrotate/rabbitmq-server.erb' at /home/flex/puppet/modules/logrotate/manifests/init.pp:12 on node dori.test.com

notice    Puppet    Using cached catalog

 Any chance you could provide an example of such report too?

 It is 201104210153.yaml not enough?

#6 - 04/24/2011 06:56 AM - Ohad Levy

Yongchao Gao wrote:

Ohad Levy wrote:

Yongchao Gao wrote:

Thanks for your reply, after upgrading puppet to 2.6.7, this error seems to be disappear.

But i found another problem that the error report is not in interesting reports, the report such as :

err    Puppet    Could not retrieve catalog from remote server: Error 400 on SERVER: Could not find template

'rabbitmq/logrotate/rabbitmq-server.erb' at /home/flex/puppet/modules/logrotate/manifests/init.pp:12 on node dori.test.com

notice    Puppet    Using cached catalog

 Any chance you could provide an example of such report too?

 It is 201104210153.yaml not enough?

 yep, sorry, i thought the report you sent was for the first issue..

#7 - 06/07/2011 03:34 AM - Ohad Levy

- Target version changed from 0.3 to 0.4

#8 - 09/20/2011 04:35 AM - Ohad Levy

- Target version deleted (0.4)

i cant reproduce the problem with the latest foreman version, if this happens again please, upload a broken report file

#9 - 11/15/2012 05:05 AM - Benjamin Papillon

- Status changed from New to Closed

- Target version set to Bug scrub

Hello,

Due to lack of update we are closing this bug.

Please, reopen it if you still have the problem with newer builds.

#10 - 09/14/2014 04:18 PM - Trey Dockendorf
- File Screen Shot 2014-09-14 at 3.13.32 PM.png added

Running Foreman 1.5.0 I just ran into this.

A host's reports show as "no changes" when the actual report contains the following:

Could not apply complete catalog: Found 1 dependency cycle: (Anchor[zabbix::agent::end] => Class[Zabbix::Agent

] => Zabbix::Agent::Userparameter[mdraid] => File[userparameter_mdraid.conf] => Service[zabbix-agent] => Class

[Zabbix::Agent::Service] => Anchor[zabbix::agent::end]) Try the '--graph' option and opening the resulting '.d

ot' file in OmniGraffle or GraphViz

 Attached is screenshot showing the report in GUI.  This particular error happened across ALL my servers (oops :-X) but the GUI shows all systems as

having good reports.

#11 - 09/14/2014 04:26 PM - Anonymous

- Description updated

- Category set to Puppet Reports

- Status changed from Closed to Assigned

- Assignee changed from Ohad Levy to Trey Dockendorf

- Target version deleted (1.1)

as requested in IRC

#12 - 09/14/2014 04:55 PM - Anonymous

- Is duplicate of Bug #3851: Reports with errors on the puppet master side are not shown as failed added

#13 - 09/14/2014 04:55 PM - Trey Dockendorf

- Status changed from Assigned to Closed

Disregard my last comment.  I was using theforeman/foreman module v2.1.3 and this issue was fixed in v2.1.4.  Updating the puppet module resolved

the issue.

#14 - 09/14/2014 04:57 PM - Anonymous

- Status changed from Closed to Duplicate

Files

201104210153.yaml 24.6 KB 04/20/2011 Yongchao Gao

Screen Shot 2014-09-14 at 3.13.32 PM.png 140 KB 09/14/2014 Trey Dockendorf
